Bug 217617 - Review Request: memchan - memory-based channels for Tcl
Summary: Review Request: memchan - memory-based channels for Tcl
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-11-28 23:23 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 01:19:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wart 2006-11-28 23:23:47 UTC
Spec URL: http://www.kobold.org/~wart/fedora/memchan.spec
SRPM URL: http://www.kobold.org/~wart/fedora/memchan-2.2.1-1.src.rpm
Description:
Memchan is an extension library to the script language Tcl. It provides several new channel types for in-memory channels and the appropriate commands for their creation.

Comment 1 Paul F. Johnson 2006-11-28 23:36:11 UTC
%{_libdir}/Memchan%{version}/*.a

Is this allowed?

Comment 2 Wart 2006-11-28 23:51:05 UTC
Yes.  This is the stub library for linking against memchan.  Tcl stub libraries
are a cross-platform cross-compiler way of performing dynamic linking.  So even
though it's a static library, it's really used for dynamic linking:
http://wiki.tcl.tk/285

This was also brought up in the 'tile' review:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175425

Comment 3 Paul F. Johnson 2006-11-29 00:20:12 UTC
Not a problem - clean in rpmlint
Clean in mock (x86)

Review

Includes docs
Spec in UTF 8, US English
Constant use of macros
Includes devel
Upstream matches package
Installs clean
Uses smp_mflags
No permission or ownership issues

Not sure on
%{_mandir}/mann/*.gz

mann? 

If this is fine, it's good to go in.

Comment 4 Wart 2006-11-29 00:24:13 UTC
(In reply to comment #3)
> Not sure on
> %{_mandir}/mann/*.gz
> 
> mann? 
> 
> If this is fine, it's good to go in.

mann isn't covered by the FHS, but it's part of the filesystem package and
commonly used by Tcl and Tcl extensions for storing man pages.

Comment 5 Paul F. Johnson 2006-11-29 00:58:36 UTC
Approved

Comment 6 Wart 2006-11-29 01:19:38 UTC
Imported and built.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.